Resets the input document

- « SolrInputDocument::addField

- SolrInputDocument::__clone »

- PHP Manual
- SolrInputDocument
- Resets the input document

# SolrInputDocument::clear

(PECL solr >= 0.9.2)

SolrInputDocument::clear — Resets the input document

### Description

public SolrInputDocument::clear(): bool

Resets the document by dropping all the fields and resets the document boost to zero.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.